# Function getAllReferencedFieldNames

- getAllReferencedFieldNames(template): string[]

- Returns all field names referenced within a PopupTemplate's content. If the content is a function or Promise, it should be evaluated first. Field names of FieldInfos are not returned.

  #### Parameters

  - template: PopupTemplateProperties | PopupTemplate

    The PopupTemplate from which the field names are extracted.

  #### Returns string[]